#!/bin/sh
MCSV_PRODUCT_PATH=$1
MCSV_AUTOMATIZADO_PRODUCT_PATH=$2
SCRIPTS_PATH=$3
VERSION=$4

BIRT_LOGO_PATH=$5
BIRT_CONF_PATH=$6
BIRT_URL=$7
BIRT_TYPE=$8
BIRT_FORMAT=$9
BIRT_VIEW_MODE=${10}

DB_ORA_HOST_AUTO=${11}
DB_ORA_PORT_AUTO=${12}
DB_ORA_DBNAME_AUTO=${13}
DB_ORA_USER_AUTO=${14}
DB_ORA_PASSWORD_AUTO=${15}
DB_ORA_SERVICE_BOOL_AUTO=${16}
DB_ORA_ENCRYPTED_BOOL_AUTO=${17}
DB_ORA_SESSION_MODE_AUTO=${18}

DB_VPD_WALLET_BOOL_AUTO=${19}
TEK_SAAS_BOOL=${20}
BIRT_ORA_WALLET_PREFIX=${21}
DB_VPD_BOOL=${22}
TEK_FILESERVER_BASE_URL=${23}
TEK_FILESERVER_FILES_URL_AUTO=${24}
TEK_ASP_URL_AUTO=${25}

DB_MONGO_HOST_AUTO=${26}
DB_MONGO_PORT_AUTO=${27}

TEK_FILESERVER_TOKEN=${28}

REPORTS_CONFIG_PATH="$MCSV_AUTOMATIZADO_PRODUCT_PATH/backend/reports"

#rm /var/www/equipe_teste/php7-4/teknisa_teste/automacao/pme_bkp

echo 'Ambiente do produto PAE para automação será copiado.'

if [ ! -d /var/www/equipe_teste/php7-4/teknisa_teste/automacao/pme/ ]; then
  mkdir /var/www/equipe_teste/php7-4/teknisa_teste/automacao/pme
fi

cp -Rf $MCSV_PRODUCT_PATH/* $MCSV_AUTOMATIZADO_PRODUCT_PATH

#{ # try!
#	echo 'Back step Automatizado -----------------------------------------------------'
#	cd $MCSV_AUTOMATIZADO_PRODUCT_PATH/backend
#	#$SCRIPTS_PATH/back_step.sh
#} || { # catch!
#    echo 'ERROR back_step Automatizado ------------------------------------------------------'
#    exit 1
#}

#{ # try!
#	echo 'Front step Automatizado -----------------------------------------------------'
#	cd $MCSV_AUTOMATIZADO_PRODUCT_PATH/mobile
#	#$SCRIPTS_PATH/front_step.sh
#} || { # catch!
#    echo 'ERROR front_step Automatizado ------------------------------------------------------'
#    exit 1
#}

echo 'Replace automatizacao prodEnvironment.json ------------------------------------'
cd $MCSV_AUTOMATIZADO_PRODUCT_PATH/mobile/src/config
$SCRIPTS_PATH/replace.sh "<>APP_URL<>"  "https://automacao-pme74.teknisa.com" "prodEnvironment.json"

echo 'Run grunt tasks for production Automatizado -------------------------------------------'
cd $MCSV_AUTOMATIZADO_PRODUCT_PATH/mobile
npm run translate
grunt backendStep
grunt reportTranslate
grunt buildEnvironment:production

echo 'Update Package Version automatizacao'
cd $MCSV_AUTOMATIZADO_PRODUCT_PATH
$SCRIPTS_PATH/replace.sh "<>APPLICATION_VERSION<>" $VERSION "mobile/src/App.vue"
#$SCRIPTS_PATH/replace.sh "<>APPLICATION_VERSION<>" "0.1.0" "mobile/src/App.vue"
$SCRIPTS_PATH/replace.sh "0.1.0" $VERSION "mobile/package.json"
$SCRIPTS_PATH/replace.sh "0.1.0" $VERSION "mobile/package.json"

echo 'Backend mnemonics Automatizado --------------------------------------------------------'
cd $MCSV_AUTOMATIZADO_PRODUCT_PATH/backend/config

echo 'Parametro'
echo $DB_ORA_SESSION_MODE_AUTO
echo 'Update db.xml automatizado ---------------------------------------------------'
$SCRIPTS_PATH/db_mnemonics.sh $SCRIPTS_PATH $DB_ORA_USER_AUTO $DB_ORA_PASSWORD_AUTO $DB_ORA_HOST_AUTO $DB_ORA_PORT_AUTO $DB_ORA_DBNAME_AUTO $DB_ORA_SERVICE_BOOL_AUTO $DB_ORA_ENCRYPTED_BOOL_AUTO $DB_VPD_BOOL $DB_VPD_WALLET_BOOL_AUTO $DB_ORA_SESSION_MODE_AUTO
cat ./db.xml
echo 'Update BIRT files automatizado -----------------------------------------------'
$SCRIPTS_PATH/birt_mnemonics.sh $SCRIPTS_PATH $DB_ORA_HOST_AUTO $DB_ORA_PORT_AUTO $DB_ORA_DBNAME_AUTO $DB_ORA_USER_AUTO $DB_ORA_PASSWORD_AUTO $DB_VPD_WALLET_BOOL_AUTO $BIRT_ORA_WALLET_PREFIX $TEK_SAAS_BOOL $BIRT_LOGO_PATH $REPORTS_CONFIG_PATH $BIRT_CONF_PATH $BIRT_URL $BIRT_TYPE $BIRT_FORMAT $BIRT_VIEW_MODE $TEK_FILESERVER_BASE_URL

echo 'Update parameters.xml automatizado -------------------------------------------'
$SCRIPTS_PATH/parameters.sh $SCRIPTS_PATH $DB_MONGO_HOST_AUTO $DB_MONGO_PORT_AUTO "" $TEK_FILESERVER_FILES_URL_AUTO $TEK_ASP_URL_AUTO

echo 'Update fileServer.xml --------------------------------------------------'
$SCRIPTS_PATH/fileserver_mnemonics.sh $SCRIPTS_PATH $TEK_FILESERVER_BASE_URL $TEK_FILESERVER_TOKEN

echo 'Build automatizacao'
{ # try
	cd $MCSV_AUTOMATIZADO_PRODUCT_PATH/mobile
	npm run build
} || { # catch
echo 'Run Build Error automatizacao ------------------------------------------------------'
    exit 1
}

echo 'Move json AUTOMAZICAO'
mv -v ./assets/json ./dist/assets/json

echo 'Remove development dependencies'
cd $MCSV_AUTOMATIZADO_PRODUCT_PATH
rm -Rf README.md
rm -Rf mobile/package-lock.json
rm -Rf backend/.gitignore
rm -Rf backend/reports/connection.js.template
rm -Rf backend/parameters
rm -Rf backend/config/parameters.xml.template
rm -Rf backend/config/report.xml.template

#echo 'ATUALIZA COMPOSER LOGIN'
##cd $MCSV_AUTOMATIZADO_PRODUCT_PATH/modules/login/backend
#cd $MCSV_AUTOMATIZADO_PRODUCT_PATH/backend
#composer clearcache
#composer update

echo 'Finaliza Automatizacao'
